# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xdisk`](#dsc_xdisk): The DSC xDisk resource type. Automatically generated from version 3.4.0.0
* [`dsc_xdiskaccesspath`](#dsc_xdiskaccesspath): The DSC xDiskAccessPath resource type. Automatically generated from version 3.4.0.0
* [`dsc_xmountimage`](#dsc_xmountimage): The DSC xMountImage resource type. Automatically generated from version 3.4.0.0
* [`dsc_xwaitfordisk`](#dsc_xwaitfordisk): The DSC xWaitForDisk resource type. Automatically generated from version 3.4.0.0
* [`dsc_xwaitforvolume`](#dsc_xwaitforvolume): The DSC xWaitForVolume resource type. Automatically generated from version 3.4.0.0

## Resource types

### <a name="dsc_xdisk"></a>`dsc_xdisk`

The DSC xDisk resource type.
Automatically generated from version 3.4.0.0

#### Properties

The following properties are available in the `dsc_xdisk` type.

##### `dsc_allocationunitsize`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the allocation unit size to use when formatting the volume.

##### `dsc_allowdestructive`

Data type: `Optional[Boolean]`

Specifies if potentially destructive operations may occur.

##### `dsc_cleardisk`

Data type: `Optional[Boolean]`

Specifies if the disks partition schema should be removed entirely, even if data and oem partitions are present. Only possible with AllowDestructive enabled.

##### `dsc_diskid`

Data type: `String`

Specifies the disk identifier for the disk to modify.

##### `dsc_diskidtype`

Data type: `Optional[Enum['Number', 'UniqueId', 'Guid']]`

Specifies the identifier type the DiskId contains. Defaults to Number.

##### `dsc_fsformat`

Data type: `Optional[Enum['NTFS', 'ReFS']]`

Specifies the file system format of the new volume.

##### `dsc_fslabel`

Data type: `Optional[String]`

Define volume label if required.

##### `dsc_size`

Data type: `Optional[Integer[0, 18446744073709551615]]`

Specifies the size of new volume. Leave empty to use the remaining free space.

#### Parameters

The following parameters are available in the `dsc_xdisk` type.

* [`dsc_driveletter`](#dsc_driveletter)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_driveletter"></a>`dsc_driveletter`

namevar

Data type: `String`

Specifies the identifier for which disk to modify.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xdiskaccesspath"></a>`dsc_xdiskaccesspath`

The DSC xDiskAccessPath resource type.
Automatically generated from version 3.4.0.0

#### Properties

The following properties are available in the `dsc_xdiskaccesspath` type.

##### `dsc_allocationunitsize`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the allocation unit size to use when formatting the volume.

##### `dsc_diskid`

Data type: `String`

Specifies the disk identifier for the disk to modify.

##### `dsc_diskidtype`

Data type: `Optional[Enum['Number', 'UniqueId', 'Guid']]`

Specifies the identifier type the DiskId contains. Defaults to Number.

##### `dsc_fsformat`

Data type: `Optional[Enum['NTFS', 'ReFS']]`

Specifies the file system format of the new volume.

##### `dsc_fslabel`

Data type: `Optional[String]`

Define volume label if required.

##### `dsc_size`

Data type: `Optional[Integer[0, 18446744073709551615]]`

Specifies the size of new volume.

#### Parameters

The following parameters are available in the `dsc_xdiskaccesspath` type.

* [`dsc_accesspath`](#dsc_accesspath)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_accesspath"></a>`dsc_accesspath`

namevar

Data type: `String`

Specifies the access path folder to the assign the disk volume to.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xmountimage"></a>`dsc_xmountimage`

The DSC xMountImage resource type.
Automatically generated from version 3.4.0.0

#### Properties

The following properties are available in the `dsc_xmountimage` type.

##### `dsc_access`

Data type: `Optional[Enum['ReadOnly', 'ReadWrite']]`

Allows a VHD file to be mounted in read-only or read-write mode. ISO files are mounted in read-only mode regardless of what parameter value you provide.

##### `dsc_driveletter`

Data type: `Optional[String]`

Specifies the drive letter to mount this VHD or ISO to.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Determines whether the VHD or ISO should be mounted or not.

##### `dsc_storagetype`

Data type: `Optional[Enum['ISO', 'VHD', 'VHDx', 'VHDSet']]`

Specifies the storage type of a file. If the StorageType parameter is not specified, then the storage type is determined by file extension.

#### Parameters

The following parameters are available in the `dsc_xmountimage` type.

* [`dsc_imagepath`](#dsc_imagepath)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_imagepath"></a>`dsc_imagepath`

namevar

Data type: `String`

Specifies the path of the VHD or ISO file.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xwaitfordisk"></a>`dsc_xwaitfordisk`

The DSC xWaitForDisk resource type.
Automatically generated from version 3.4.0.0

#### Properties

The following properties are available in the `dsc_xwaitfordisk` type.

##### `dsc_diskidtype`

Data type: `Optional[Enum['Number', 'UniqueId', 'Guid']]`

Specifies the identifier type the DiskId contains. Defaults to Number.

##### `dsc_retrycount`

Data type: `Optional[Integer[0, 4294967295]]`

The number of times to loop the retry interval while waiting for the disk.

##### `dsc_retryintervalsec`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the number of seconds to wait for the disk to become available.

#### Parameters

The following parameters are available in the `dsc_xwaitfordisk` type.

* [`dsc_diskid`](#dsc_diskid)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_diskid"></a>`dsc_diskid`

namevar

Data type: `String`

Specifies the disk identifier for the disk to wait for.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_xwaitforvolume"></a>`dsc_xwaitforvolume`

The DSC xWaitForVolume resource type.
Automatically generated from version 3.4.0.0

#### Properties

The following properties are available in the `dsc_xwaitforvolume` type.

##### `dsc_retrycount`

Data type: `Optional[Integer[0, 4294967295]]`

The number of times to loop the retry interval while waiting for the volume.

##### `dsc_retryintervalsec`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the number of seconds to wait for the volume to become available.

#### Parameters

The following parameters are available in the `dsc_xwaitforvolume` type.

* [`dsc_driveletter`](#dsc_driveletter)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_driveletter"></a>`dsc_driveletter`

namevar

Data type: `String`

Specifies the drive letter of the volume to wait for.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

